For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve inventory audit history

Retrieve the audit history for an inventory record.

Get inventory audit history

GET https://ris.rightsline.com/v4/inventory/:id/audit-history

This endpoint allows you to retrieve the audit history of a specific inventory by ID.

Path Parameters

Name
Type
Description

id

string

ID of the inventory to retrieve.

Query Parameters

Name
Type
Description

userId

number

Filter by actions from a specific user.

page

number

Paging - The page to retrieve (default 1).

rows

number

Paging - The number of rows to retrieve (default 10).

startDate

dateTime

Return history after this date.

endDate

dateTime

Return history before this date.

charTypeIds

int[]

An array of char type IDs of related entities to include in the history results.

showWorkflow

bool

Include workflow history in results (default false).

Headers

Name
Type
Description

x-api-key

string

Your company's API key.

Authentication

string

Authentication token.

{
    "totalCount": 1,
    "entries": [
        {
            "isHeader": 1,
            "auditId": "0x00663C390001A63E0008",
            "sequence": "0x00663C390001A63E0002",
            "operationId": 2,
            "operationLabel": "Added",
            "charTypeId": 17,
            "recordId": 1122615,
            "title": "Poster Record 1122615",
            "templateId": 1,
            "templateName": "Poster",
            "userId": 112151,
            "userName": "Donald Glover",
            "auditDate": "2022-07-07T22:55:49.687Z",
            "changedField": null
        }
    ]
}

Get inventory audit history details

GET https://ris.rightsline.com/v4/inventory/:id/audit-history-detail

This endpoint allows you to retrieve the audit history details of a specific audit record.

Path Parameters

Name
Type
Description

id

string

ID of the inventory to retrieve.

Query Parameters

Name
Type
Description

auditId*

string

From audit history response.

sequence*

string

From audit history response.

operationId*

number

From audit history response.

isHeader*

number

From audit history response.

includeMessages

boolean

Include message details in response.

Headers

Name
Type
Description

x-api-key

string

Your company's API key.

Authentication

string

Authentication token.

Last updated

Was this helpful?